Hashrate IndexAPI DocumentationEnergy

Get Energy Consumption Index

GET
/energy/consumption-index

/energy/consumption-index has rate limitation:

Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.

Energy Consumption Index

This endpoint tracks the total energy consumption by the Bitcoin network or other entities. It provides an index value that helps in assessing the environmental impact and the efficiency improvements over time in energy usage.

Authorization

ApiKeyAuth
X-Hi-Api-Key<token>

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/energy/consumption-index"
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/EnergyConsumptionIndexData.json",  "data": [    {      "lowerBound": 0.1,      "networkEstimate": 0.1,      "timestamp": "2019-08-24T14:15:22Z",      "upperBound": 0.1    }  ]}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}